System.Core 4.0.0.0 System.Object To be added.

Provides a set of methods for querying objects that implement ParallelQuery{TSource}. This is the parallel equivalent of .

- Method
  4.0.0.0
  TSource `` `` To be added.

  Applies in parallel an accumulator function over a sequence.

  The final accumulator value.

  A sequence to aggregate over. An accumulator function to be invoked on each element. The type of the elements of .
- Method
  4.0.0.0
  TAccumulate `` `` `` To be added.

  Applies in parallel an accumulator function over a sequence. The specified seed value is used as the initial accumulator value.

  The final accumulator value.

  A sequence to aggregate over. The initial accumulator value. An accumulator function to be invoked on each element. The type of the elements of . The type of the accumulator value.
- Method
  4.0.0.0
  TResult `` `` `` `` To be added.

  Applies in parallel an accumulator function over a sequence. The specified seed value is used as the initial accumulator value, and the specified function is used to select the result value.

  The transformed final accumulator value.

  A sequence to aggregate over. The initial accumulator value. An accumulator function to be invoked on each element. A function to transform the final accumulator value into the result value. The type of the elements of . The type of the accumulator value. The type of the resulting value.
- Method
  4.0.0.0
  TResult `` `` `` `` ``

  This overload is specific to parallelized queries. A parallelized query may partition the data source sequence into several sub-sequences (partitions). The is invoked on each element within partitions. Each partition then yields a single accumulated result. The is then invoked on the results of each partition to yield a single element. This element is then transformed by the function.

  Applies in parallel an accumulator function over a sequence. This overload is not available in the sequential implementation.

  The transformed final accumulator value.

  A sequence to aggregate over. A function that returns the initial accumulator value. An accumulator function to be invoked on each element in a partition. An accumulator function to be invoked on the yielded accumulator result from each partition. A function to transform the final accumulator value into the result value. The type of the elements of . The type of the accumulator value. The type of the resulting value.
- Method
  4.0.0.0
  TResult `` `` `` `` ``

  This overload is specific to processing a parallelized query. A parallelized query may partition the data source sequence into several sub-sequences (partitions). The is invoked on each element within partitions. Each partition then yields a single accumulated result. The is then invoked on the results of each partition to yield a single element. This element is then transformed by the function.

  Applies in parallel an accumulator function over a sequence. This overload is not available in the sequential implementation.

  The transformed final accumulator value.

  A sequence to aggregate over. The initial accumulator value. An accumulator function to be invoked on each element in a partition. An accumulator function to be invoked on the yielded accumulator result from each partition. A function to transform the final accumulator value into the result value. The type of the elements of . The type of the accumulator value. The type of the resulting value.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines in parallel whether all elements of a sequence satisfy a condition.

  true if every element of the source sequence passes the test in the specified predicate, or if the sequence is empty; otherwise, false..

  A sequence whose elements to apply the predicate to. A function to test each element for a condition. The type of elements of .
- Method
  4.0.0.0
  System.Boolean ``

  This overload of the Any method causes a fully-buffered merge to be performed before the result is returned. The merge behavior can impact performance or cause an out of memory exception in large enumerables. To avoid the merge behavior, use the overload of Any that takes a Func parameter, or else use an alternative method such as FirstOrDefault.

  Determines whether a parallel sequence contains any elements.

  true if the source sequence contains any elements; otherwise, false.

  The sequence to check for emptiness. The type of elements of .
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines in parallel whether any element of a sequence satisfies a condition.

  true if any elements in the source sequence pass the test in the specified predicate; otherwise, false.

  A sequence to whose elements the predicate will be applied. A function to test each element for a condition. The type of elements of .
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<TSource> `` To be added.

  Converts a into an to force sequential evaluation of the query.

  The input sequence typed as .

  The sequence to cast as . The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery ``

  A natural tension exists between performance and preserving order in parallel processing. By default, a parallelized query behaves as if the ordering of the results is arbitrary unless AsOrdered is applied or there is an explicit OrderBy operator in the query. For more information, see Order Preservation in PLINQ.

  Enables treatment of a data source as if it were ordered, overriding the default of unordered. AsOrdered may only be invoked on non-generic sequences returned by AsParallel, ParallelEnumerable.Range, and ParallelEnumerable.Repeat.

  The source sequence which will maintain the original ordering in the subsequent query operators.

  The input sequence.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> ``

  A natural tension exists between performance and preserving order in parallel processing. By default, a parallelized query behaves as if the ordering of the results is arbitrary unless AsOrdered is applied or there is an explicit OrderBy operator in the query. For more information, see Order Preservation in PLINQ.

  Enables treatment of a data source as if it were ordered, overriding the default of unordered. AsOrdered may only be invoked on generic sequences returned by AsParallel, ParallelEnumerable.Range, and ParallelEnumerable.Repeat.

  The source sequence which will maintain the original ordering in the subsequent query operators.

  The input sequence. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery ``

  The operator can be used to convert a ParallelQuery to a ParallelQuery(T).

  Enables parallelization of a query.

  The source as a ParallelQuery to bind to ParallelEnumerable extension methods.

  An to convert to a .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> ``

  The source partitioner's GetOrderedPartitions method is used when ordering is enabled, whereas the partitioner's GetPartitions is used if ordering is not enabled (the default). The source partitioner's GetDynamicPartitions and GetDynamicOrderedPartitions are not used. For more information and examples, see Custom Partitioners for PLINQ and TPL.

  Enables parallelization of a query, as sourced by a custom partitioner that is responsible for splitting the input sequence into partitions.

  The as a ParallelQuery to bind to ParallelEnumerable extension methods.

  A partitioner over the input sequence. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` To be added.

  Enables parallelization of a query.

  The source as a to bind to ParallelEnumerable extension methods.

  An to convert to a . The type of elements of .
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<TSource> ``

  For more information, see Order Preservation in PLINQ and How to: Control Ordering in a PLINQ Query.

  Converts a into an to force sequential evaluation of the query.

  The source as an to bind to sequential extension methods.

  A to convert to an . The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> ``

  AsUnordered may provide performance benefits when ordering is not required in a portion of a query. By default, PLINQ treats an input sequence as unordered unless OrderBy or AsOrdered is specified. However, if ordering was turned on and is no longer needed, then AsUnordered can be used to turn it off in mid-query, and this may result in performance benefits. The AsUnordered operator itself does not shuffle the source sequence; it simply removes the ordering requirement for subsequent operators. If the source is ordered, subsequent operators might keep that ordering if it is more efficient to do so. AsUnordered can be called anywhere in the query; it does not need to be called immediately after AsParallel. For more information, see Understanding Speedup in PLINQ and Order Preservation in PLINQ.

  Allows an intermediate query to be treated as if no ordering is implied among the elements.

  The source sequence with arbitrary order.

  The input sequence. The type of elements of .
- Method
  4.0.0.0
  System.Decimal `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Double `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Double `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Double `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Nullable<System.Double> `` To be added.

  Computes in parallel the average of a sequence of values.

  Returns the average of the sequence of values.

  The source sequence.
- Method
  4.0.0.0
  System.Nullable<System.Double> `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Nullable<System.Double> `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Nullable<System.Single> `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Single `` To be added.

  Computes in parallel the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average.
- Method
  4.0.0.0
  System.Decimal `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Double `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Double `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Double `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Double> `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Double> `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Double> `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Single> `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Single `` `` To be added.

  Computes in parallel the average of a sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` To be added.

  Converts the elements of a ParallelQuery to the specified type.

  A sequence that contains each element of the source sequence converted to the specified type.

  The sequence that contains the elements to be converted. The type to convert the elements of to.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TSource> `` ``

  This overload exists to disallow usage of Concat with a left data source of type and a right data source of type . Otherwise, the Concat operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Concat overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Concatenates two parallel sequences.

  A sequence that contains the concatenated elements of the two input sequences.

  The first sequence to concatenate. The sequence to concatenate to the first sequence. The type of the elements of the input sequences.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines in parallel whether a sequence contains a specified element by using the default equality comparer.

  true if the source sequence contains an element that has the specified value; otherwise, false.

  A sequence in which to locate a value. The value to locate in the sequence. The type of elements of .
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Determines in parallel whether a sequence contains a specified element by using a specified .

  true if the source sequence contains an element that has the specified value; otherwise, false.

  A sequence in which to locate a value. The value to locate in the sequence. An equality comparer to compare values. The type of elements of .
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Returns the number of elements in a parallel sequence.

  The number of elements in the input sequence.

  A sequence that contains elements to be counted. The type of the elements of .
- Method
  4.0.0.0
  System.Int32 `` `` To be added.

  Returns a number that represents how many elements in the specified parallel sequence satisfy a condition.

  A number that represents how many elements in the sequence satisfy the condition in the predicate function.

  A sequence that contains elements to be counted. A function to test each element for a condition. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` To be added.

  Returns the elements of the specified parallel sequence or the type parameter's default value in a singleton collection if the sequence is empty.

  A sequence that contains default(TSource) if is empty; otherwise, .

  The sequence to return a default value for if it is empty. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Returns the elements of the specified parallel sequence or the specified value in a singleton collection if the sequence is empty.

  A sequence that contains defaultValue if is empty; otherwise, .

  The sequence to return the specified value for if it is empty. The value to return if the sequence is empty. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` To be added.

  Returns distinct elements from a parallel sequence by using the default equality comparer to compare values.

  A sequence that contains distinct elements from the source sequence.

  The sequence to remove duplicate elements from. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Returns distinct elements from a parallel sequence by using a specified to compare values.

  A sequence that contains distinct elements from the source sequence.

  The sequence to remove duplicate elements from. An to compare values. The type of the elements of .
- Method
  4.0.0.0
  TSource `` `` To be added.

  Returns the element at a specified index in a parallel sequence.

  The element at the specified position in the source sequence.

  A sequence to return an element from. The zero-based index of the element to retrieve. The type of the elements of .
- Method
  4.0.0.0
  TSource `` `` To be added.

  Returns the element at a specified index in a parallel sequence or a default value if the index is out of range.

  default(TSource) if the index is outside the bounds of the source sequence; otherwise, the element at the specified position in the source sequence.

  A sequence to return an element from. The zero-based index of the element to retrieve. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> To be added.

  Returns an empty ParallelQuery{TResult} that has the specified type argument.

  An empty sequence whose type argument is .

  The type to assign to the type parameter of the returned generic sequence.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TSource> `` ``

  This overload exists to disallow usage of Except with a left data source of type and a right data source of type . Otherwise, the Except operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Except overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Produces the set difference of two parallel sequences by using the default equality comparer to compare values.

  A sequence that contains the set difference of the elements of two sequences.

  A sequence whose elements that are not also in will be returned. A sequence whose elements that also occur in the first sequence will cause those elements to be removed from the returned sequence. The type of the elements of the input sequences.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TSource> `` `` ``

  This overload exists to disallow usage of Except with a left data source of type and a right data source of type . Otherwise, the Except operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Except overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` `` To be added.

  Produces the set difference of two parallel sequences by using the specified to compare values.

  A sequence that contains the set difference of the elements of two sequences.

  A sequence whose elements that are not also in will be returned. A sequence whose elements that also occur in the first sequence will cause those elements to be removed from the returned sequence. to compare values. The type of the elements of the input sequences.
- Method
  4.0.0.0
  TSource ``

  If the query is not ordered, then the first element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the first element of a parallel sequence.

  The first element in the specified sequence.

  The sequence to return the first element of. The type of the elements of .
- Method
  4.0.0.0
  TSource `` ``

  If the query is not ordered, then the first element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the first element in a parallel sequence that satisfies a specified condition.

  The first element in the sequence that passes the test in the specified predicate function.

  The sequence to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  4.0.0.0
  TSource ``

  If the query is not ordered, then the first element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the first element of a parallel sequence, or a default value if the sequence contains no elements.

  default(TSource) if is empty; otherwise, the first element in .

  The sequence to return the first element of. The type of the elements of .
- Method
  4.0.0.0
  TSource `` ``

  If the query is not ordered, then the first element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the first element of the parallel sequence that satisfies a condition or a default value if no such element is found.

  default(TSource) if is empty or if no element passes the test specified by predicate; otherwise, the first element in that passes the test specified by predicate.

  The sequence to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  4.0.0.0
  System.Void `` ``

  This is an efficient way to process the output from a parallelized query because it does not require a merge step at the end. For more information, see Merge Options in PLINQ or Order Preservation in PLINQ. Because this method produces a side-effect, it can be used to observe the actual order of execution in a parallel query.

  Invokes in parallel the specified action for each element in the .

  The whose elements will be processed by . An Action to invoke on each element. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<System.Linq.IGrouping<TKey,TSource>> `` `` To be added.

  Groups in parallel the elements of a sequence according to a specified key selector function.

  A sequence of groups that are sorted descending according to .

  An OrderedParallelQuery{TSource}that contains elements to sort. A function to extract a key from an element. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<System.Linq.IGrouping<TKey,TSource>> `` `` `` To be added.

  Groups in parallel the elements of a sequence according to a specified key selector function and compares the keys by using a specified .

  A sequence of groups that are sorted descending according to .

  An that contains elements to sort. A function to extract a key from an element. An to compare keys. The type of elements of . The type of the key returned by >.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<System.Linq.IGrouping<TKey,TElement>> `` `` `` To be added.

  Groups in parallel the elements of a sequence according to a specified key selector function and projects the elements for each group by using a specified function.

  A sequence of groups that are sorted descending according to .

  An that contains elements to sort. A function to extract a key from an element. A function to map each source element to an element in an . The type of elements of . The type of the key returned by . The type of the elements in the .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<System.Linq.IGrouping<TKey,TElement>> `` `` `` `` To be added.

  Groups in parallel the elements of a sequence according to a key selector function. The keys are compared by using a comparer and each group's elements are projected by using a specified function.

  A sequence of groups that are sorted descending according to .

  An OrderedParallelQuery{TSource}that contains elements to sort. A function to extract a key from an element. A function to map each source element to an element in an IGrouping. An IComparer{TSource} to compare keys. The type of elements of . The type of the key returned by . The type of the elements in the IGrouping
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` To be added.

  Groups in parallel the elements of a sequence according to a specified key selector function and creates a result value from each group and its key.

  A sequence of elements of type where each element represents a projection over a group and its key.

  A sequence whose elements to group. A function to extract the key for each element. A function to create a result value from each group. The type of the elements of . The type of the key returned by . The type of the result value returned by .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` `` To be added.

  Groups in parallel the elements of a sequence according to a specified key selector function and creates a result value from each group and its key. The keys are compared by using a specified comparer.

  A sequence of groups.

  A sequence whose elements to group. A function to extract the key for each element. A function to create a result value from each group. An to compare keys. The type of the elements of . The type of the key returned by . The type of the result value returned by .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` `` To be added.

  Groups in parallel the elements of a sequence according to a specified key selector function and creates a result value from each group and its key. The elements of each group are projected by using a specified function.

  A sequence of elements of type where each element represents a projection over a group and its key.

  A sequence whose elements to group. A function to extract the key for each element. A function to map each source element to an element in an IGrouping<TKey, TElement>. A function to create a result value from each group. The type of the elements of . The type of the key returned by . The type of the elements in each IGrouping{TKey, TElement}. The type of the result value returned by .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` `` `` To be added.

  Groups the elements of a sequence according to a specified key selector function and creates a result value from each group and its key. Key values are compared by using a specified comparer, and the elements of each group are projected by using a specified function.

  A sequence of elements of type where each element represents a projection over a group and its key.

  A sequence whose elements to group. A function to extract the key for each element. A function to map each source element to an element in an IGrouping{Key, TElement}. A function to create a result value from each group. An to compare keys. The type of the elements of . The type of the key returned by . The type of the elements in each IGrouping{TKey, TElement}. The type of the result value returned by .
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TResult> `` `` `` `` ``

  This overload exists to disallow usage of GroupJoin with a left data source of type and a right data source of type . Otherwise, the GroupJoin operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This GroupJoin overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` `` `` To be added.

  Correlates in parallel the elements of two sequences based on equality of keys and groups the results. The default equality comparer is used to compare keys.

  A sequence that has elements of type that are obtained by performing a grouped join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from an element from the first sequence and a collection of matching elements from the second sequence. The type of the elements of the second sequence. The type of the elements of the first sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TResult> `` `` `` `` `` ``

  This overload exists to disallow usage of GroupJoin with a left data source of type and a right data source of type . Otherwise, the GroupJoin operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This GroupJoin overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` `` `` `` To be added.

  Correlates in parallel the elements of two sequences based on key equality and groups the results. A specified is used to compare keys.

  A sequence that has elements of type that are obtained by performing a grouped join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from an element from the first sequence and a collection of matching elements from the second sequence. An to hash and compare keys. The type of the elements of the second sequence. The type of the elements of the first sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TSource> `` ``

  This overload exists to disallow usage of Intersect with a left data source of type and a right data source of type . Otherwise, the Intersect operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Intersect overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Produces the set intersection of two parallel sequences by using the default equality comparer to compare values.

  A sequence that contains the elements that form the set intersection of two sequences.

  A sequence whose distinct elements that also appear in will be returned. A sequence whose distinct elements that also appear in the first sequence will be returned. The type of the elements of the input sequences.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TSource> `` `` ``

  This overload exists to disallow usage of Intersect with a left data source of type and a right data source of type . Otherwise, the Intersect operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Intersect overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` `` To be added.

  Produces the set intersection of two parallel sequences by using the specified IEqualityComparer{T} to compare values.

  A sequence that contains the elements that form the set intersection of two sequences.

  A sequence whose distinct elements that also appear in will be returned. A sequence whose distinct elements that also appear in the first sequence will be returned. An to compare values. The type of the elements of the input sequences.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TResult> `` `` `` `` ``

  This overload exists to disallow usage Join with a left data source of type and a right data source of type . Otherwise, the Join operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Join overload should never be called. This method is marked as obsolete and always throws when invoked.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` `` `` To be added.

  Correlates in parallel the elements of two sequences based on matching keys. The default equality comparer is used to compare keys.

  A sequence that has elements of type that are obtained by performing an inner join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from two matching elements. The type of the elements of the second sequence. The type of the elements of the first sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TResult> `` `` `` `` `` ``

  This overload exists to disallow usage of Join with a left data source of type and a right data source of type . Otherwise, the Join operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Join overload should never be called. This method is marked as obsolete and always throws when invoked.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` `` `` `` To be added.

  Correlates in parallel the elements of two sequences based on matching keys. A specified is used to compare keys.

  A sequence that has elements of type that are obtained by performing an inner join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from two matching elements. An to hash and compare keys. The type of the elements of the second sequence. The type of the elements of the first sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  4.0.0.0
  TSource ``

  If the query is not ordered, then the last element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the last element of a parallel sequence.

  The value at the last position in the source sequence.

  The sequence to return the last element from. The type of the elements of .
- Method
  4.0.0.0
  TSource `` ``

  If the query is not ordered, then the last element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the last element of a parallel sequence that satisfies a specified condition.

  The last element in the sequence that passes the test in the specified predicate function.

  The sequence to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  4.0.0.0
  TSource ``

  If the query is not ordered, then the last element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the last element of a parallel sequence, or a default value if the sequence contains no elements.

  default() if the source sequence is empty; otherwise, the last element in the sequence.

  The sequence to return an element from. The type of the elements of .
- Method
  4.0.0.0
  TSource `` ``

  If the query is not ordered, then the last element is non-deterministic. For more information, see Order Preservation in PLINQ.

  Returns the last element of a parallel sequence that satisfies a condition, or a default value if no such element is found.

  default() if the sequence is empty or if no elements pass the test in the predicate function; otherwise, the last element that passes the test in the predicate function.

  The sequence to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  4.0.0.0
  System.Int64 `` To be added.

  Returns an Int64 that represents the total number of elements in a parallel sequence.

  The number of elements in the input sequence.

  A sequence that contains elements to be counted. The type of the elements of .
- Method
  4.0.0.0
  System.Int64 `` `` To be added.

  Returns an Int64 that represents how many elements in a parallel sequence satisfy a condition.

  A number that represents how many elements in the sequence satisfy the condition in the predicate function.

  A sequence that contains elements to be counted. A function to test each element for a condition. The type of the elements of .
- Method
  4.0.0.0
  System.Decimal `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Double `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Int64 `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Nullable<System.Double> `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Nullable<System.Int32> `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Nullable<System.Int64> `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Nullable<System.Single> `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  System.Single `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of.
- Method
  4.0.0.0
  TSource `` To be added.

  Returns the maximum value in a parallel sequence of values.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. The type of elements in the source sequence.
- Method
  4.0.0.0
  System.Decimal `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Double `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Int32 `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Int64 `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Double> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Int32> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Int64> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Single> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Single `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  TResult `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the maximum value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum value of. A transform function to apply to each element. The type of elements of . The type of the value returned by .
- Method
  4.0.0.0
  System.Decimal `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Double `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Int64 `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Nullable<System.Double> `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Nullable<System.Int32> `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Nullable<System.Int64> `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Nullable<System.Single> `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  System.Single `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of.
- Method
  4.0.0.0
  TSource `` To be added.

  Returns the minimum value in a parallel sequence of values.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. The type of elements of .
- Method
  4.0.0.0
  System.Decimal `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Double `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Int32 `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Int64 `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Double> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Int32> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Int64> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Single> `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Single `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  TResult `` `` To be added.

  Invokes in parallel a transform function on each element of a sequence and returns the minimum value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum value of. A transform function to apply to each element. The type of elements of . The type of the value returned by .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` To be added.

  Filters the elements of a ParallelQuery based on a specified type.

  A sequence that contains elements from the input sequence of type .

  The sequence whose elements to filter. The type to filter the elements of the sequence on.
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` ``

  In contrast to the sequential implementation, this is not a stable sort. To achieve a stable sort, change a query of the form: var ordered = source.Select((e,i) => new { E=e, I=i }).OrderBy((v) => v.e).ThenBy(v => v.i).Select((v) => v.e);

  Sorts in parallel the elements of a sequence in ascending order according to a key.

  An OrderedParallelQuery{TSource} whose elements are sorted according to a key.

  A sequence of values to order. A function to extract a key from an element. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` `` ``

  In contrast to the sequential implementation, this is not a stable sort. See the remarks for for an approach to implementing a stable sort.

  Sorts in parallel the elements of a sequence in ascending order by using a specified comparer.

  An OrderedParallelQuery{TSource} whose elements are sorted according to a key.

  A sequence of values to order. A function to extract a key from an element. An IComparer{TKey} to compare keys. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` ``

  In contrast to the sequential implementation, this is not a stable sort. See the remarks for for an approach to implementing a stable sort.

  Sorts in parallel the elements of a sequence in descending order according to a key.

  An OrderedParallelQuery{TSource} whose elements are sorted descending according to a key.

  A sequence of values to order. A function to extract a key from an element. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` `` ``

  In contrast to the sequential implementation, this is not a stable sort. See the remarks for for an approach to implementing a stable sort.

  Sorts the elements of a sequence in descending order by using a specified comparer.

  An OrderedParallelQuery{TSource} whose elements are sorted descending according to a key.

  A sequence of values to order. A function to extract a key from an element. An IComparer{TKey} to compare keys. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<System.Int32> `` `` To be added.

  Generates a parallel sequence of integral numbers within a specified range.

  An IEnumerable<Int32> in C# or IEnumerable(Of Int32) in Visual Basic that contains a range of sequential integral numbers.

  The value of the first integer in the sequence. The number of sequential integers to generate.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` To be added.

  Inverts the order of the elements in a parallel sequence.

  A sequence whose elements correspond to those of the input sequence in reverse order.

  A sequence of values to reverse. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` To be added.

  Projects in parallel each element of a sequence into a new form by incorporating the element's index.

  A sequence whose elements are the result of invoking the transform function on each element of , based on the index supplied to .

  A sequence of values to invoke a transform function on. A transform function to apply to each element. The type of the elements of . The type of elements resturned by selector.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` To be added.

  Projects in parallel each element of a sequence into a new form.

  A sequence whose elements are the result of invoking the transform function on each element of .

  A sequence of values to invoke a transform function on. A transform function to apply to each element. The type of the elements of . The type of elements resturned by selector.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` To be added.

  Projects in parallel each element of a sequence to an and flattens the resulting sequences into one sequence.

  A sequence whose elements are the result of invoking the one-to-many transform function on each element of the input sequence.

  A sequence of values to project. A transform function to apply to each element. The type of elements of . The type of the elements of the sequence returned by selector.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` To be added.

  Projects in parallel each element of a sequence to an , and flattens the resulting sequences into one sequence. The index of each source element is used in the projected form of that element.

  A sequence whose elements are the result of invoking the one-to-many transform function on each element of the input sequence.

  A sequence of values to project. A transform function to apply to each element. The type of elements of . The type of the elements of the sequence returned by selector.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` To be added.

  Projects each element of a sequence to an , flattens the resulting sequences into one sequence, and invokes a result selector function on each element therein.

  A sequence whose elements are the result of invoking the one-to-many transform function on each element of based on the index supplied to , and then mapping each of those sequence elements and their corresponding source element to a result element.

  A sequence of values to project. A transform function to apply to each source element; the second parameter of the function represents the index of the source element. A function to create a result element from an element from the first sequence and a collection of matching elements from the second sequence. The type of the intermediate elements collected by . The type of elements of . The type of elements in the result sequence.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` To be added.

  Projects each element of a sequence to an , flattens the resulting sequences into one sequence, and invokes a result selector function on each element therein. The index of each source element is used in the intermediate projected form of that element.

  A sequence whose elements are the result of invoking the one-to-many transform function on each element of based on the index supplied to , and then mapping each of those sequence elements and their corresponding source element to a result element.

  A sequence of values to project. A transform function to apply to each source element; the second parameter of the function represents the index of the source element. A function to create a result element from an element from the first sequence and a collection of matching elements from the second sequence. The type of the intermediate elements collected by . The type of elements of . The type of elements to return.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Boolean `` ``

  This overload exists to disallow usage of SequenceEqual with a left data source of type and a right data source of type . Otherwise, the SequenceEqual operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This SequenceEqual overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two parallel sequences are equal by comparing the elements by using the default equality comparer for their type.

  true if the two source sequences are of equal length and their corresponding elements are equal according to the default equality comparer for their type; otherwise, false.

  A sequence to compare to second. A sequence to compare to the first input sequence. The type of the elements of the input sequences.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Boolean `` `` ``

  This overload exists to disallow usage of SequenceEqual with a left data source of type and a right data source of type . Otherwise, the SequenceEqual operator would appear to be binding to the parallel implementation, but would in reality bind to sequential implementation.

  This SequenceEqual overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Determines whether two parallel sequences are equal by comparing their elements by using a specified IEqualityComparer{T}.

  true if the two source sequences are of equal length and their corresponding elements are equal according to the default equality comparer for their type; otherwise, false.

  A sequence to compare to . A sequence to compare to the first input sequence. An to use to compare elements. The type of the elements of the input sequences.
- Method
  4.0.0.0
  TSource `` To be added.

  Returns the only element of a parallel sequence, and throws an exception if there is not exactly one element in the sequence.

  The single element of the input sequence.

  The sequence to return the single element of. The type of the elements of .
- Method
  4.0.0.0
  TSource `` `` To be added.

  Returns the only element of a parallel sequence that satisfies a specified condition, and throws an exception if more than one such element exists.

  The single element of the input sequence that satisfies a condition.

  The sequence to return the single element of. A function to test an element for a condition. The type of the elements of .
- Method
  4.0.0.0
  TSource `` To be added.

  Returns the only element of a parallel sequence, or a default value if the sequence is empty; this method throws an exception if there is more than one element in the sequence.

  The single element of the input sequence, or default() if the sequence contains no elements.

  The sequence to return the single element of. The type of the elements of .
- Method
  4.0.0.0
  TSource `` `` To be added.

  Returns the only element of a parallel sequence that satisfies a specified condition or a default value if no such element exists; this method throws an exception if more than one element satisfies the condition.

  The single element of the input sequence that satisfies the condition, or default() if no such element is found.

  The sequence to return the single element of. A function to test an element for a condition. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` ``

  If count > source.Count(), no elements are returned.

  Bypasses a specified number of elements in a parallel sequence and then returns the remaining elements.

  A sequence that contains the elements that occur after the specified index in the input sequence.

  The sequence to return elements from. The number of elements to skip before returning the remaining elements. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Bypasses elements in a parallel sequence as long as a specified condition is true and then returns the remaining elements.

  A sequence that contains the elements from the input sequence starting at the first element in the linear series that does not pass the test specified by predicate.

  The sequence to return elements from. A function to test each element for a condition. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Bypasses elements in a parallel sequence as long as a specified condition is true and then returns the remaining elements. The element's index is used in the logic of the predicate function.

  A sequence that contains the elements from the input sequence starting at the first element in the linear series that does not pass the test specified by predicate.

  The sequence to return elements from. A function to test each source element for a condition; the second parameter of the function represents the index of the source element. The type of elements of .
- Method
  4.0.0.0
  System.Decimal `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Double `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Int64 `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Nullable<System.Double> `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Nullable<System.Int32> `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Nullable<System.Int64> `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Nullable<System.Single> `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Single `` To be added.

  Computes in parallel the sum of a sequence of values.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  4.0.0.0
  System.Decimal `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Double `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Int32 `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements in the source sequence.
- Method
  4.0.0.0
  System.Int64 `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Decimal> `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Double> `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Int32> `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Int64> `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Nullable<System.Single> `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Single `` `` To be added.

  Computes in parallel the sum of the sequence of values that are obtained by invoking a transform function on each element of the input sequence.

  The sum of the projected values in the sequence.

  A sequence of values to calculate the sum of. A transform function to apply to each element. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Returns a specified number of contiguous elements from the start of a parallel sequence.

  A sequence that contains the specified number of elements from the start of the input sequence.

  The sequence to return elements from. The number of elements to return. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Returns elements from a parallel sequence as long as a specified condition is true.

  A sequence that contains the elements from the input sequence that occur before the element at which the test no longer passes.

  The sequence to return elements from. A function to test each element for a condition. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Returns elements from a parallel sequence as long as a specified condition is true. The element's index is used in the logic of the predicate function.

  A sequence that contains elements from the input sequence that occur before the element at which the test no longer passes.

  The sequence to return elements from. A function to test each source element for a condition; the second parameter of the function represents the index of the source element. The type of elements of .
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` ``

  In contrast to the sequential implementation, this is not a stable sort. See the remarks for for an approach to implementing a stable sort.

  Performs in parallel a subsequent ordering of the elements in a sequence in ascending order according to a key.

  An OrderedParallelQuery{TSource} whose elements are sorted according to a key.

  An OrderedParallelQuery{TSource} that contains elements to sort. A function to extract a key from an element. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` `` ``

  In contrast to the sequential implementation, this is not a stable sort. See the remarks for for an approach to implementing a stable sort.

  Performs in parallel a subsequent ordering of the elements in a sequence in ascending order by using a specified comparer.

  An OrderedParallelQuery{TSource} whose elements are sorted according to a key.

  An OrderedParallelQuery{TSource} that contains elements to sort. A function to extract a key from an element. An IComparer{TKey} to compare keys. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` ``

  In contrast to the sequential implementation, this is not a stable sort. See the remarks for for an approach to implementing a stable sort.

  Performs in parallel a subsequent ordering of the elements in a sequence in descending order, according to a key.

  A sequence whose elements are sorted descending according to a key.

  An OrderedParallelQuery{TSource} that contains elements to sort. A function to extract a key from an element. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.OrderedParallelQuery<TSource> `` `` ``

  In contrast to the sequential implementation, this is not a stable sort. See the remarks for for an approach to implementing a stable sort.

  Performs in parallel a subsequent ordering of the elements in a sequence in descending order by using a specified comparer.

  A sequence whose elements are sorted descending according to a key.

  An OrderedParallelQuery{TSource} that contains elements to sort. A function to extract a key from an element. An IComparer{TKey} to compare keys. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  TSource[] `` To be added.

  Creates an array from a .

  An array that contains the elements from the input sequence.

  A sequence to create an array from. The type of the elements of .
- Method
  4.0.0.0
  System.Collections.Generic.Dictionary<TKey,TSource> `` `` To be added.

  Creates a from a according to a specified key selector function.

  A that contains keys and values.

  A sequence to create a from. A function to extract a key from each element. The type of the elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Collections.Generic.Dictionary<TKey,TSource> `` `` `` To be added.

  Creates a from a according to a specified key selector function and key comparer.

  A that contains keys and values.

  A sequence to create a from. A function to extract a key from each element. An to compare keys. The type of the elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Collections.Generic.Dictionary<TKey,TElement> `` `` `` To be added.

  Creates a from a according to specified key selector and element selector functions.

  A that contains values of type selected from the input sequence

  A sequence to create a from. A function to extract a key from each element. A transform function to produce a result element value from each element. The type of the elements of . The type of the key returned by . The type of the value returned by .
- Method
  4.0.0.0
  System.Collections.Generic.Dictionary<TKey,TElement> `` `` `` `` To be added.

  Creates a from a according to a specified key selector function, a comparer, and an element selector function.

  A that contains values of type selected from the input sequence

  A sequence to create a from. A function to extract a key from each element. A transform function to produce a result element value from each element. An to compare keys. The type of the elements of . The type of the key returned by . The type of the value returned by .
- Method
  4.0.0.0
  System.Collections.Generic.List<TSource> `` To be added.

  Creates a from an .

  A that contains elements from the input sequence.

  A sequence to create a from. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.ILookup<TKey,TSource> `` `` To be added.

  Creates an from a according to a specified key selector function.

  A that contains keys and values.

  The sequence to create a from. A function to extract a key from each element. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.ILookup<TKey,TSource> `` `` `` To be added.

  Creates an from a according to a specified key selector function and key comparer.

  A that contains keys and values.

  The sequence to create a from. A function to extract a key from each element. An to compare keys. The type of elements of . The type of the key returned by .
- Method
  4.0.0.0
  System.Linq.ILookup<TKey,TElement> `` `` `` To be added.

  Creates an from a according to specified key selector and element selector functions.

  A that contains values of type selected from the input sequence.

  The sequence to create a from. A function to extract a key from each element. A transform function to produce a result element value from each element. The type of elements of . The type of the key returned by . The type of the value returned by .
- Method
  4.0.0.0
  System.Linq.ILookup<TKey,TElement> `` `` `` `` To be added.

  Creates an from a according to a specified key selector function, a comparer and an element selector function.

  A Lookup<(Of <(TKey, TElement>)>) that contains values of type TElement selected from the input sequence.

  The sequence to create a from. A function to extract a key from each element. A transform function to produce a result element value from each element. An to compare keys. The type of elements of . The type of the key returned by . The type of the value returned by .
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TSource> `` ``

  This overload exists to disallow usage of Union with a left data source of type and a right data source of type . Otherwise, the Union operator would appear to be binding to the parallel implementation, but would in reality bind to sequential implementation.

  This Union overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Produces the set union of two parallel sequences by using the default equality comparer.

  A sequence that contains the elements from both input sequences, excluding duplicates.

  A sequence whose distinct elements form the first set for the union. A sequence whose distinct elements form the second set for the union. The type of the elements of the input sequences.
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TSource> `` `` ``

  This overload exists to disallow usage of Union with a left data source of type and a right data source of type . Otherwise, the Union operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

  This Union overload should never be called. This method is marked as obsolete and always throws when called.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` `` To be added.

  Produces the set union of two parallel sequences by using a specified IEqualityComparer{T}.

  A sequence that contains the elements from both input sequences, excluding duplicates.

  A sequence whose distinct elements form the first set for the union. A sequence whose distinct elements form the second set for the union. An to compare values. The type of the elements of the input sequences.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Filters in parallel a sequence of values based on a predicate.

  A sequence that contains elements from the input sequence that satisfy the condition.

  A sequence to filter. A function to test each element for a condition. The type of the elements of source.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Filters in parallel a sequence of values based on a predicate. Each element's index is used in the logic of the predicate function.

  A sequence that contains elements from the input sequence that satisfy the condition.

  A sequence to filter. A function to test each element for a condition. The type of the elements of source.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Sets the to associate with the query.

  ParallelQuery representing the same query as source, but with the registered cancellation token.

  A ParallelQuery on which to set the option. A cancellation token. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Sets the degree of parallelism to use in a query. Degree of parallelism is the maximum number of concurrently executing tasks that will be used to process the query.

  ParallelQuery representing the same query as source, with the limit on the degrees of parallelism set.

  A ParallelQuery on which to set the limit on the degrees of parallelism. The degree of parallelism for the query. The default value is Math.Min(, MAX_SUPPORTED_DOP) where MAX_SUPPORTED_DOP is 64. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` ``

  The execution mode specifies whether PLINQ will attempt to fall back to sequential execution if it detects certain query shapes. For more information and examples, see How to: Specify the Execution Mode in PLINQ.

  Sets the execution mode of the query.

  ParallelQuery representing the same query as source, but with the registered execution mode.

  A ParallelQuery on which to set the option. The mode in which to execute the query. The type of elements of .
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TSource> `` `` To be added.

  Sets the merge options for this query, which specify how the query will buffer output.

  ParallelQuery representing the same query as source, but with the registered merge options.

  A ParallelQuery on which to set the option. The merge options to set for this query. The type of elements of .
- Method
  4.0.0.0
  System.Obsolete("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")
  System.Linq.ParallelQuery<TResult> `` `` ``

  This overload exists to disallow usage of Zip with a left data source of type and a right data source of type . Otherwise, the Zip operator would appear to be bind to the parallel implementation, but would in reality bind to the sequential implementation.

  This Zip overload should never be called. This method is marked as obsolete and always throws when invoked.

  This overload always throws a .

  This parameter is not used. This parameter is not used. This parameter is not used. This type parameter is not used. This type parameter is not used. This type parameter is not used.
- Method
  4.0.0.0
  System.Linq.ParallelQuery<TResult> `` `` `` To be added.

  Merges in parallel two sequences by using the specified predicate function.

  A sequence that has elements of type that are obtained by performing pairwise on two sequences. If the sequence lengths are unequal, this truncates to the length of the shorter sequence.

  The first sequence to zip. The second sequence to zip. A function to create a result element from two matching elements. The type of the elements of the first sequence. The type of the elements of the second sequence. The type of the return elements.